=== modified file 'drizzled/opt_range.cc'
--- drizzled/opt_range.cc	2008-12-04 19:56:07 +0000
+++ drizzled/opt_range.cc	2008-12-05 07:33:29 +0000
@@ -1909,11 +1909,9 @@
   /* Table read plans are allocated on MEM_ROOT and are never deleted */
   static void *operator new(size_t size, MEM_ROOT *mem_root)
   { return (void*) alloc_root(mem_root, (uint) size); }
-  static void operator delete(void *ptr __attribute__((unused)),
-                              size_t size __attribute__((unused)))
+  static void operator delete(void *, size_t)
     { TRASH(ptr, size); }
-  static void operator delete(void *ptr __attribute__((unused)),
-                              MEM_ROOT *mem_root __attribute__((unused)))
+  static void operator delete(void *, MEM_ROOT *)
     { /* Never called */ }
   virtual ~TABLE_READ_PLAN() {}               /* Remove gcc warning */
 
@@ -1944,9 +1942,7 @@
   {}
   virtual ~TRP_RANGE() {}                     /* Remove gcc warning */
 
-  QUICK_SELECT_I *make_quick(PARAM *param,
-                             bool retrieve_full_rows __attribute__((unused)),
-                             MEM_ROOT *parent_alloc)
+  QUICK_SELECT_I *make_quick(PARAM *param, bool, MEM_ROOT *parent_alloc)
   {
     QUICK_RANGE_SELECT *quick;
     if ((quick= get_quick_select(param, key_idx, key, mrr_flags, mrr_buf_size,
@@ -3623,9 +3619,7 @@
 }
 
 
-QUICK_SELECT_I *TRP_INDEX_MERGE::make_quick(PARAM *param,
-                                            bool retrieve_full_rows __attribute__((unused)),
-                                            MEM_ROOT *parent_alloc __attribute__((unused)))
+QUICK_SELECT_I *TRP_INDEX_MERGE::make_quick(PARAM *param, bool, MEM_ROOT *)
 {
   QUICK_INDEX_MERGE_SELECT *quick_imerge;
   QUICK_RANGE_SELECT *quick;
@@ -3700,9 +3694,7 @@
 }
 
 
-QUICK_SELECT_I *TRP_ROR_UNION::make_quick(PARAM *param,
-                                          bool retrieve_full_rows __attribute__((unused)),
-                                          MEM_ROOT *parent_alloc __attribute__((unused)))
+QUICK_SELECT_I *TRP_ROR_UNION::make_quick(PARAM *param, bool, MEM_ROOT *)
 {
   QUICK_ROR_UNION_SELECT *quick_roru;
   TABLE_READ_PLAN **scan;
@@ -4286,8 +4278,7 @@
 static SEL_TREE *
 get_mm_parts(RANGE_OPT_PARAM *param, COND *cond_func, Field *field,
 	     Item_func::Functype type,
-	     Item *value,
-             Item_result cmp_type __attribute__((unused)))
+	     Item *value, Item_result)
 {
   if (field->table != param->table)
     return(0);
@@ -5952,9 +5943,7 @@
     Value of init_param
 */
 
-range_seq_t sel_arg_range_seq_init(void *init_param,
-                                   uint32_t n_ranges __attribute__((unused)),
-                                   uint32_t flags __attribute__((unused)))
+range_seq_t sel_arg_range_seq_init(void *init_param, uint32_t, uint32_t)
 {
   SEL_ARG_RANGE_SEQ *seq= (SEL_ARG_RANGE_SEQ*)init_param;
   seq->at_start= true;
@@ -7070,9 +7059,7 @@
     Opaque value to be passed to quick_range_seq_next
 */
 
-range_seq_t quick_range_seq_init(void *init_param,
-                                 uint32_t n_ranges __attribute__((unused)),
-                                 uint32_t flags __attribute__((unused)))
+range_seq_t quick_range_seq_init(void *init_param, uint32_t, uint32_t)
 {
   QUICK_RANGE_SELECT *quick= (QUICK_RANGE_SELECT*)init_param;
   quick->qr_traversal_ctx.first=  (QUICK_RANGE**)quick->ranges.buffer;
@@ -7180,8 +7167,7 @@
     Reference to range-associated data
 */
 
-char* &mrr_get_ptr_by_idx(range_seq_t seq __attribute__((unused)),
-                          uint32_t idx __attribute__((unused)))
+char* &mrr_get_ptr_by_idx(range_seq_t, uint32_t)
 {
   static char *dummy;
   return dummy;
@@ -7361,9 +7347,7 @@
   for now, this seems to work right at least.
  */
 
-QUICK_SELECT_DESC::QUICK_SELECT_DESC(QUICK_RANGE_SELECT *q,
-                                     uint32_t used_key_parts_arg __attribute__((unused)),
-                                     bool *create_err __attribute__((unused)))
+QUICK_SELECT_DESC::QUICK_SELECT_DESC(QUICK_RANGE_SELECT *q, uint32_t, bool *)
  :QUICK_RANGE_SELECT(*q), rev_it(rev_ranges)
 {
   QUICK_RANGE *r;
@@ -8421,13 +8405,11 @@
 */
 
 static bool
-get_constant_key_infix(KEY *index_info __attribute__((unused)),
-                       SEL_ARG *index_range_tree,
+get_constant_key_infix(KEY *, SEL_ARG *index_range_tree,
                        KEY_PART_INFO *first_non_group_part,
                        KEY_PART_INFO *min_max_arg_part,
                        KEY_PART_INFO *last_part,
-                       Session *session __attribute__((unused)),
-                       unsigned char *key_infix, uint32_t *key_infix_len,
+                       Session *, unsigned char *key_infix, uint32_t *key_infix_len,
                        KEY_PART_INFO **first_non_infix_part)
 {
   SEL_ARG       *cur_range;
@@ -8620,8 +8602,7 @@
 
 void cost_group_min_max(Table* table, KEY *index_info, uint32_t used_key_parts,
                         uint32_t group_key_parts, SEL_TREE *range_tree,
-                        SEL_ARG *index_tree __attribute__((unused)),
-                        ha_rows quick_prefix_records,
+                        SEL_ARG *, ha_rows quick_prefix_records,
                         bool have_min, bool have_max,
                         double *read_cost, ha_rows *records)
 {
@@ -8716,9 +8697,7 @@
 */
 
 QUICK_SELECT_I *
-TRP_GROUP_MIN_MAX::make_quick(PARAM *param,
-                              bool retrieve_full_rows __attribute__((unused)),
-                              MEM_ROOT *parent_alloc)
+TRP_GROUP_MIN_MAX::make_quick(PARAM *param, bool, MEM_ROOT *parent_alloc)
 {
   QUICK_GROUP_MIN_MAX_SELECT *quick;
 
@@ -9767,8 +9746,7 @@
   used_lengths->append(buf, length);
 }
 
-static void print_sel_tree(PARAM *param, SEL_TREE *tree, key_map *tree_map,
-                           const char *msg __attribute__((unused)))
+static void print_sel_tree(PARAM *param, SEL_TREE *tree, key_map *tree_map, const char *)
 {
   SEL_ARG **key,**end;
   int idx;
@@ -9796,8 +9774,7 @@
 
 
 static void print_ror_scans_arr(Table *table,
-                                const char *msg __attribute__((unused)),
-                                struct st_ror_scan_info **start,
+                                const char *, struct st_ror_scan_info **start,
                                 struct st_ror_scan_info **end)
 {
   char buff[1024];

=== modified file 'drizzled/plugin.h'
--- drizzled/plugin.h	2008-12-04 01:59:53 +0000
+++ drizzled/plugin.h	2008-12-05 07:33:29 +0000
@@ -381,7 +381,7 @@
   int (*deinit)(void *);/* the function to invoke when plugin is unloaded */
   struct st_mysql_show_var *status_vars;
   struct st_mysql_sys_var **system_vars;
-  void * __reserved1;   /* reserved for dependency checking             */
+  void *reserved1;   /* reserved for dependency checking             */
 };
 
 struct handlerton;

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2008-12-04 19:56:07 +0000
+++ drizzled/show.cc	2008-12-05 07:33:29 +0000
@@ -2524,8 +2524,6 @@
   uint32_t table_open_method;
   bool old_value= session->no_warnings_for_error;
 
-  lex->reset_n_backup_query_tables_list(&query_tables_list_backup);
-
   /*
     We should not introduce deadlocks even if we already have some
     tables open and locked, since we won't lock tables which we will
@@ -2722,7 +2720,6 @@
   error= 0;
 err:
   session->restore_backup_open_tables_state(&open_tables_state_backup);
-  lex->restore_backup_query_tables_list(&query_tables_list_backup);
   lex->derived_tables= derived_tables;
   lex->all_selects_list= old_all_select_lex;
   lex->sql_command= save_sql_command;

=== modified file 'drizzled/show.h'
--- drizzled/show.h	2008-11-18 22:12:56 +0000
+++ drizzled/show.h	2008-12-05 07:33:29 +0000
@@ -88,17 +88,10 @@
 int mysqld_show_status(Session *session);
 int mysqld_show_variables(Session *session,const char *wild);
 bool mysqld_show_storage_engines(Session *session);
-bool mysqld_show_authors(Session *session);
-bool mysqld_show_contributors(Session *session);
-bool mysqld_show_privileges(Session *session);
 bool mysqld_show_column_types(Session *session);
 void mysqld_list_processes(Session *session,const char *user, bool verbose);
-bool mysqld_help (Session *session, const char *text);
 void calc_sum_of_all_status(STATUS_VAR *to);
 
-void append_definer(Session *session, String *buffer, const LEX_STRING *definer_user,
-                    const LEX_STRING *definer_host);
-
 int add_status_vars(SHOW_VAR *list);
 void remove_status_vars(SHOW_VAR *list);
 void init_status_vars();

=== modified file 'drizzled/sql_lex.cc'
--- drizzled/sql_lex.cc	2008-12-05 07:20:46 +0000
+++ drizzled/sql_lex.cc	2008-12-05 07:33:29 +0000
@@ -2376,33 +2376,6 @@
 
 
 /*
-  Save current state of Query_tables_list for this LEX, and prepare it
-  for processing of new statemnt.
-
-  SYNOPSIS
-    reset_n_backup_query_tables_list()
-      backup  Pointer to Query_tables_list instance to be used for backup
-*/
-
-void LEX::reset_n_backup_query_tables_list(Query_tables_list *)
-{
-}
-
-
-/*
-  Restore state of Query_tables_list for this LEX from backup.
-
-  SYNOPSIS
-    restore_backup_query_tables_list()
-      backup  Pointer to Query_tables_list instance used for backup
-*/
-
-void LEX::restore_backup_query_tables_list(Query_tables_list *)
-{
-}
-
-
-/*
   Checks for usage of routines and/or tables in a parsed statement
 
   SYNOPSIS

=== modified file 'drizzled/sql_lex.h'
--- drizzled/sql_lex.h	2008-12-05 05:11:29 +0000
+++ drizzled/sql_lex.h	2008-12-05 07:33:29 +0000
@@ -1455,9 +1455,6 @@
   */
   static void cleanup_lex_after_parse_error(Session *session);
 
-  void reset_n_backup_query_tables_list(Query_tables_list *backup);
-  void restore_backup_query_tables_list(Query_tables_list *backup);
-
   bool table_or_sp_used();
 
   /**

